Index: c/src/exec/score/cpu/powerpc/Makefile.am
===================================================================
--- c/src/exec/score/cpu/powerpc/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/exec/score/cpu/powerpc/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -6,11 +6,5 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if PPC_NEW_EXCEPTION_PROCESSING
-CPUDIR = new_exception_processing
-else
-CPUDIR = old_exception_processing
-endif
-
-SUBDIRS = shared $(CPUDIR)
+SUBDIRS = shared
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
Index: c/src/exec/score/cpu/powerpc/configure.in
===================================================================
--- c/src/exec/score/cpu/powerpc/configure.in	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/exec/score/cpu/powerpc/configure.in	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.13)
-AC_INIT(new_exception_processing)
+AC_INIT(shared)
 RTEMS_TOP(../../../../../..)
 AC_CONFIG_AUX_DIR(../../../../../..)
@@ -28,14 +28,6 @@
 RTEMS_CHECK_CUSTOM_BSP(RTEMS_BSP)
 
-# FIXME: This is in contradiction to multilibs
-RTEMS_CHECK_BSP_CACHE(RTEMS_BSP)
-
-# FIXME: This is in contradiction to multilibs
-AM_CONDITIONAL(PPC_NEW_EXCEPTION_PROCESSING,test "$RTEMS_CPU_MODEL" = "mpc750" -o "$RTEMS_CPU_MODEL" = "mpc604")
-
 # Explicitly list all Makefiles here
 AC_OUTPUT( 
 Makefile
-shared/Makefile
-new_exception_processing/Makefile
-old_exception_processing/Makefile)
+shared/Makefile)
Index: c/src/exec/score/cpu/powerpc/new_exception_processing/Makefile.am
===================================================================
--- c/src/exec/score/cpu/powerpc/new_exception_processing/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/exec/score/cpu/powerpc/new_exception_processing/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -4,4 +4,5 @@
 
 AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
 C_FILES = cpu.c
@@ -16,5 +17,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../../automake/lib.am
 
 #
@@ -25,10 +26,4 @@
     $(ROOT_H_FILES:%=$(PROJECT_INCLUDE)/%) \
     $(RTEMS_SCORE_H_FILES:%=$(PROJECT_INCLUDE)/rtems/score/%)
-
-##TMPINSTALL_FILES += \
-##$(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o
-
-##$(PROJECT_RELEASE)/lib/rtems$(LIB_VARIANT).o: $(ARCH)/rtems.o
-##	$(INSTALL_DATA) $< $@
 
 $(PROJECT_INCLUDE):
@@ -58,3 +53,3 @@
 EXTRA_DIST = $(C_FILES) $(S_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/exec/score/cpu/powerpc/old_exception_processing/Makefile.am
===================================================================
--- c/src/exec/score/cpu/powerpc/old_exception_processing/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/exec/score/cpu/powerpc/old_exception_processing/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -4,4 +4,5 @@
 
 AUTOMAKE_OPTIONS = foreign 1.4
+ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
 # C source names
@@ -18,5 +19,5 @@
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../../../automake/lib.am
+include $(top_srcdir)/../../../../../automake/lib.am
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/rtems/score \
@@ -41,5 +42,5 @@
 	$(INSTALL_DATA) $< $@
 
-REL = ../$(ARCH)/rtems-cpu.rel
+REL = $(ARCH)/rtems-cpu.rel
 
 $(REL): $(C_O_FILES) $(S_O_FILES)
@@ -55,3 +56,3 @@
 EXTRA_DIST = TODO rtems.S $(C_FILES) $(S_FILES) $(UNUSED_FILES)
 
-include $(top_srcdir)/../../../../../../automake/local.am
+include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/dmv177/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/dmv177/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/dmv177/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -15,5 +15,6 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o)
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/powerpc/eth_comm/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/eth_comm/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -17,6 +17,7 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.o)
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
+ $(wildcard ../../../../libcpu/powerpc/new_exception_processing/$(ARCH)/*.rel) \
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/powerpc/helas403/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/helas403/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/helas403/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -11,5 +11,6 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(foreach piece, $(CPU_PIECES), ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/$(piece).rel)
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
+ $(foreach piece, $(CPU_PIECES), ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/$(piece).rel)
 
 LIB = $(ARCH)/libbsp.a
Index: c/src/lib/libbsp/powerpc/mbx8xx/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/mbx8xx/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -17,6 +17,7 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc8xx/*/$(ARCH)/*.o)
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc8xx/*/$(ARCH)/*.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -9,7 +9,8 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc6xx/*/$(ARCH)/*.o) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.o)
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.o) \
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mpc6xx/*/$(ARCH)/*.o) \
+ $(wildcard ../../../../libcpu/powerpc/new_exception_processing/$(ARCH)/*.rel) \
+ $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.o)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/powerpc/papyrus/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/papyrus/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -11,5 +11,6 @@
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(foreach piece, $(CPU_PIECES), ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/$(piece).rel)
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
+ $(foreach piece, $(CPU_PIECES), ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(piece)/$(ARCH)/$(piece).rel)
 
 LIB = $(ARCH)/libbsp.a
Index: c/src/lib/libbsp/powerpc/ppcn_60x/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ppcn_60x/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/ppcn_60x/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -15,5 +15,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/powerpc/psim/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/psim/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -18,8 +18,9 @@
 BSP_PIECES = startup clock console timer vectors $(BSP_MP_O_PIECES)
 
+
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
 OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(foreach piece, $(GENERIC_PIECES), ../../../$(piece)/$(ARCH)/$(piece).rel)
-
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel) \
+ $(foreach piece, $(GENERIC_PIECES), ../../../$(piece)/$(ARCH)/$(piece).rel)
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/powerpc/score603e/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libbsp/powerpc/score603e/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -9,5 +9,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o))
+OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+ $(wildcard ../../../../libcpu/powerpc/old_exception_processing/$(ARCH)/*.rel)
 LIB = $(ARCH)/libbsp.a
 
Index: src/lib/libbsp/powerpc/support/new_exception_processing/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/support/new_exception_processing/.cvsignore	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libbsp/powerpc/support/old_exception_processing/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/support/old_exception_processing/.cvsignore	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: c/src/lib/libcpu/powerpc/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libcpu/powerpc/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -9,4 +9,10 @@
 if shared
 SHARED_LIB = shared
+endif
+
+if new_exception_processing
+EXCEPTION_SUBDIR = new_exception_processing
+else
+EXCEPTION_SUBDIR = old_exception_processing
 endif
 
@@ -24,5 +30,5 @@
 endif
 
-SUBDIRS = $(SHARED_LIB) $(CPU_SUBDIR) wrapup
+SUBDIRS = $(SHARED_LIB) $(EXCEPTION_SUBDIR) $(CPU_SUBDIR) wrapup
 
 include $(top_srcdir)/../../../../../automake/subdirs.am
Index: c/src/lib/libcpu/powerpc/configure.in
===================================================================
--- c/src/lib/libcpu/powerpc/configure.in	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libcpu/powerpc/configure.in	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -34,4 +34,8 @@
 || test "$RTEMS_CPU_MODEL" = "mpc860" \
 || test "$RTEMS_CPU_MODEL" = "mpc8xx" )
+
+AM_CONDITIONAL(new_exception_processing, \
+test "$RTEMS_CPU_MODEL" = "mpc750" || \
+test "$RTEMS_CPU_MODEL" = "mpc604")
 
 AM_CONDITIONAL(mpc505, test "$RTEMS_CPU_MODEL" = "mpc505")
@@ -71,4 +75,6 @@
 mpc6xx/timer/Makefile
 mpc6xx/wrapup/Makefile
+new_exception_processing/Makefile
+old_exception_processing/Makefile
 shared/Makefile
 shared/include/Makefile
Index: src/lib/libcpu/powerpc/new_exception_processing/.cvsignore
===================================================================
--- c/src/lib/libcpu/powerpc/new_exception_processing/.cvsignore	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: src/lib/libcpu/powerpc/old_exception_processing/.cvsignore
===================================================================
--- c/src/lib/libcpu/powerpc/old_exception_processing/.cvsignore	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ 	(revision )
@@ -1,2 +1,0 @@
-Makefile
-Makefile.in
Index: c/src/lib/libcpu/powerpc/wrapup/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/wrapup/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ c/src/lib/libcpu/powerpc/wrapup/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -11,5 +11,8 @@
 CPU_SPECIFIC_OBJS = $(wildcard ../$(RTEMS_CPU_MODEL)/*/$(ARCH)/*.o)
 FAMILY_OBJS = \
-    $(wildcard ../shared/$(ARCH)/*.o ../shared/*/$(ARCH)/*.o ../mpc6xx/*/$(ARCH)/*.o)
+    $(wildcard ../shared/$(ARCH)/*.o ../shared/*/$(ARCH)/*.o \
+         ../old_exception_processing/*/$(ARCH)/*.o \
+         ../new_exception_processing/*/$(ARCH)/*.o \
+         ../mpc6xx/*/$(ARCH)/*.o)
 
 LIB = $(ARCH)/libcpu.a
Index: cpukit/score/cpu/powerpc/Makefile.am
===================================================================
--- cpukit/score/cpu/powerpc/Makefile.am	(revision acddd7d2fc16120aec8cc9e174343cc94e82e4ad)
+++ cpukit/score/cpu/powerpc/Makefile.am	(revision 80e53918dcb752cca5c435d3110069ae7c4b501e)
@@ -6,11 +6,5 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if PPC_NEW_EXCEPTION_PROCESSING
-CPUDIR = new_exception_processing
-else
-CPUDIR = old_exception_processing
-endif
-
-SUBDIRS = shared $(CPUDIR)
+SUBDIRS = shared
 
 include $(top_srcdir)/../../../../../../automake/subdirs.am
